Gocator API

Public Member Functions
GoPartModel Class Reference
GoSdk/Surface

## Description

Represents a part model configuration.

Inheritance diagram for GoPartModel:

## Public Member Functions
GoPartModelEdge | GoPartModel_EdgeAt (GoPartModel model, kSize index)
| Returns the edge for the given index. More...
kSize | GoPartModel_EdgeCount (GoPartModel model)
| Returns the number of edges for the given part model. More...
k64f | GoPartModel_EdgeSensitivity (GoPartModel partModel)
| Returns the edge sensitivity used at the time of model creation. More...
GoImageType | GoPartModel_ImageType (GoPartModel partModel)
| Returns the image type for the given part model. More...
GoImageType | GoPartModel_ImageTypeOptionAt (GoPartModel partModel, kSize index)
| Returns the image type option at the given index. More...
kSize | GoPartModel_ImageTypeOptionCount (GoPartModel partModel)
| Returns the image type option count. More...
const kChar * | GoPartModel_Name (GoPartModel model)
| Returns the name of the part model. More...
kStatus | GoPartModel_SetImageType (GoPartModel partModel, GoImageType value)
| Sets the image type for the given part model. More...
kStatus | GoPartModel_SetTargetEdgeSensitivity (GoPartModel partModel, k64f value)
| Sets the target edge sensitivity for the given part model. More...
kStatus | GoPartModel_SetZAngle (GoPartModel partModel, k64f value)
| Sets the Z angle for the given part model. More...
k64f | GoPartModel_TargetEdgeSensitivity (GoPartModel partModel)
| Returns the target edge sensitivity. More...
k64f | GoPartModel_TransformedDataRegionHeight (GoPartModel partModel)
| Returns the transformed data region height value. More...
k64f | GoPartModel_TransformedDataRegionLength (GoPartModel partModel)
| Returns the transformed data region length value. More...
k64f | GoPartModel_TransformedDataRegionWidth (GoPartModel partModel)
| Returns the transformed data region width value. More...
k64f | GoPartModel_TransformedDataRegionX (GoPartModel partModel)
| Returns the transformed data region X-component value. More...
k64f | GoPartModel_TransformedDataRegionY (GoPartModel partModel)
| Returns the transformed data region Y-component value. More...
k64f | GoPartModel_TransformedDataRegionZ (GoPartModel partModel)
| Returns the transformed data region Z-component value. More...
k64f | GoPartModel_ZAngle (GoPartModel partModel)
| Returns the current Z angle of the given part model. More...

The documentation for this class was generated from the following file:

- GoPartModel.h